Download it now!
Bug 119461 - Sidebar: Collapsing deck using Enter or Space key hides focus
Summary: Sidebar: Collapsing deck using Enter or Space key hides focus
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2018-08-23 19:26 UTC by Jim Raykowski
Modified: 2018-08-30 21:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2018-08-23 19:26:21 UTC
Steps to reproduce in Writer:
1) Menu > View > Sidebar
2) click on an unopened deck tab in the sidebar tabbar to open a deck
deck opens and focus is on clicked tab in sidebar tabbar
3) press Enter or Space key

Results: 
Focus is hidden in collapsed deck.

Expected Results: 
Focus remains on tabbar tab. This would be consistent with mouse click behavior.

Reproduced in:
Version: 6.2.0.0.alpha0+
Build ID: 566050c5f3f3e54bfec115f9dba693404ca91770
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 1 V Stuart Foote 2018-08-24 01:21:35 UTC
Confirmed on Windows 10 Home 64-bit en-US with
Version: 6.2.0.0.alpha0+ (x64)
Build ID: 414ef6cb187dd3bbcc917dbedf3c0c1cc8668f60
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-08-21_00:13:04
Locale: en-US (en_US); Calc: threaded
Comment 2 Xisco Faulí 2018-08-25 16:05:36 UTC
The focus was set in https://cgit.freedesktop.org/libreoffice/core/commit/?id=a8605dc1619a2275b52e22a60c4ca0715e7ab07d, before it, the enter key didn't work with the sidebar...
Comment 3 Jim Raykowski 2018-08-27 05:11:02 UTC
Here is a patch that makes the Space key behavior the same as a mouse click. Focus remains on the tab button. This avoids focus from being hidden when the deck collapses. The patch also makes the Enter key never collapse the deck but to open it if collapsed and always place focus on the first panel title.

https://gerrit.libreoffice.org/#/c/59616/

Comments and testing always appreciated.
Comment 4 Commit Notification 2018-08-29 14:39:55 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c92b886b7538c4786a4d9a33cbcfe694daf1f62

tdf#119461 Fix focus hidden on deck collapse

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.